@echo OFF
rem  * *******************************************************************
rem  *               CBLV80E1.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2019 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Read a file of fixed-length records, write to a file of
rem  *          variable-length records.
rem  * Author - SimoTime Technologies
rem  * Date   - January 24, 1996
rem  *
rem  * The first job step (DeleteQSAM) will delete any previously created
rem  * file.
rem  *
rem  * The second job step (CreateQSAM) will read a file containing
rem  * 80-byte, fixed length records and create a file containing
rem  * variable length records
rem  *
rem  * This set of programs will run on a Personal Computer with
rem  * Windows and Micro Focus Net Express.
rem  *
rem  * ********************************************************************
rem  * Step 1 of 2, Set the global environment variables,
rem  *              Delete any previously created file...
rem  *
     set CmdName=CblV80E1
     call ..\Env1BASE
     set JobStatus=0000
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting JobName %CmdName%, User is %USERNAME%"
     call SimoNOTE "Identify JobStep DeleteQSAM"
:DeleteQSAM
     set SQEDDF01=%BaseLib1%\DATA\Asc1\SIMOTIME.DATA.SQEDDF01.DAT
     set VREDDV01=%BaseLib1%\DATA\Asc1\SIMOTIME.DATA.VREDDV01.DAT
     if exist %VREDDV01% del %VREDDV01%
rem  *
rem  * *******************************************************************
rem  * Step 2 of 2, Repro, Read a file of fixed length records
rem  *              and write a file of variable length records.
rem  *
:CreateQSAM
     call SimoNOTE "Identify JobStep CreateQSAM"
     run CblV80C1
     if ERRORLEVEL 1 echo Error level is equal-to or greater-than 1 . . .
     if ERRORLEVEL 1 set JobStatus=0020
     if not "%JobStatus%" == "0000" goto :EojNOK
     echo errorlevel is 0 . . .
rem  *
     if exist %VREDDV01% goto :EojAok
     set JobStatus=0002
     goto :EojNok
:EojAok
     call SimoNOTE "Produced %VREDDV01%"
     call SimoNOTE "Finished JobName %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNok
     call SimoNOTE "ABENDING JobName %CmdName%, Job Status is %JobStatus%"
:End
     call SimoNOTE "Conclude SysLog is %SYSLOG%"
     if not "%1" == "nopause" pause
