@echo OFF
rem  * *******************************************************************
rem  *               CBLV80E2.CMD - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2019 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Read a file containig variable-length records and write
rem  *          to a file containing fixed-length recorsds.
rem  * Author - SimoTime Technologies
rem  * Date   - January 24, 1996
rem  *
rem  * The first job step (DeleteQSAM) will delete any previously created
rem  * file.
rem  *
rem  * The second job step (CreateQSAM) will read the file of variable
rem  * length records and write to a file of fixed length records.
rem  *
rem  * This set of programs will run on a Personal Computer with
rem  * Windows and Micro Focus Net Express.
rem  *
rem  * ********************************************************************
rem  * Step 1 of 2, Set the global environment variables,
rem  *              Delete any previously created file...
rem  *
     set CmdName=CblV80E2
     call ..\Env1BASE
     set JobStatus=0000
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
rem  *
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting JobName %CmdName%, User is %USERNAME%"
:DeleteQSAM
     set VREDDV01=%BaseLib1%\DATA\Asc1\SIMOTIME.DATA.VREDDV01.DAT
     set SQEDDF02=%BaseLib1%\DATA\Wrk1\SIMOTIME.DATA.SQEDDF02.DAT
     if exist %SQEDDF02% del %SQEDDF02%
rem  *
rem  * *******************************************************************
rem  * Step 2 of 2, Repro, Read a file of variable length records
rem  *              and write a file of fixed length records.
rem  *
:CreateQSAM
     call SimoNOTE "Identify JobStep CreateQSAM"
     run CblV80C2
     if errorlevel = 1 set JobStatus=0020
     if not "%JobStatus%" == "0000" goto :EojNOK
rem  *
     if exist %SQEDDF02% goto :EojAok
     set JobStatus=0002
     goto :EojNok
:EojAok
     call SimoNOTE "Produced %SQEDDF02%"
     call SimoNOTE "Finished JobName %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNok
     call SimoNOTE "ABENDING JobName %CmdName%, Job Status is %JobStatus%"
:End
     call SimoNOTE "Conclude SysLog is %SYSLOG%"
     if not "%1" == "nopause" pause
