//CBLV80J1 JOB SIMOTIME,CLASS=1,MSGCLASS=0,NOTIFY=CSIP1
//JOBLIB   DD  DISP=SHR,DSN=MFI01.SIMOPROD.LOADLIB1
//* *******************************************************************
//*       CBLV80J1.JCL - a JCL Member for Batch Job Processing        *
//*       This JCL Member is provided by SimoTime Technologies        *
//*           (C) Copyright 1987-2019 All Rights Reserved             *
//*             Web Site URL:   http://www.simotime.com               *
//*                   e-mail:   helpdesk@simotime.com                 *
//* *******************************************************************
//*
//* Text   - Read fixed file, create variable file.
//* Author - SimoTime Technologies
//* Date   - January 24, 1996
//*
//* The first job step (QSAMDELT) will delete any previously created
//* file.
//* The second job step (CBLV80S1) will create a new sequential file
//* with variable length records.
//*
//* This set of programs will run on a mainframe under MVS or on a
//* Personal Computer with Windows and Micro Focus Mainframe Express.
//*
//* ALLOCATION - Is the amount of disk space needed for the data set.
//* The format for the space parameter is:
//*
//* SPACE=(SPACE-UNIT,(PRIMARY,SECONDARY),RLSE)
//*
//* SPACE-UNIT - The type of space to be allocated.  It may be one
//* of the following:
//*   TRK - For space allocated by tracks.
//*         One track on 3390 disk = 47,476 bytes.
//*   BLKSIZE - Where 'blksize' is a number indicating the blksize for
//*             the data set (the upper limit being 23,476 (1/2 trk).
//*   PRIMARY - The number of tracks or blocks allocated initially
//*             to the data set.
//*   SECONDARY - The number of tracks or blocks to allocate if the
//*               primary allocation is exceeded (usually 10% of the
//*               primary allocation is adequate).
//*               Up to 15 secondary allocations can be made.
//*
//* An example of coding the space parameter is:
//*
//*   SPACE=(TRK,(10,1),RLSE)
//*
//* Meaning that 10 tracks are allocated initially, and if this
//* allocation is exceeded, extensions of one track are added.
//* RLSE specifies that unused space will be released when the job step
//* ends. RLSE is coded only for sequential data sets.
//* The maximum space that can be allocated to this data set is:
//* 10 + 15(1) = 25 tracks
//* *******************************************************************
//* Step 1 of 2, Delete any previously created file...
//*
//QSAMDELT EXEC PGM=IEFBR14
//SYSUT2   DD  DSN=SIMOTIME.DATA.VREDDV01,DISP=(MOD,DELETE,DELETE),
//*            STORCLAS=MFI,
//             UNIT=3390,VOL=SER=LARRYS,
//             SPACE=(TRK,5),
//             DCB=(RECFM=VB,LRECL=84,BLKSIZE=840,DSORG=PS)
//*
//* *******************************************************************
//* Step 3 of 2, Create and populate a new QSAM file. The SQEDDF01 file
//*              is created using CRTF80J1.JCL.
//*
//CBLV80S1 EXEC PGM=CBLV80C1
//SQEDDF01 DD  DSN=SIMOTIME.DATA.SQEDDF01,DISP=SHR
//VREDDV01 DD  DSN=SIMOTIME.DATA.VREDDV01,DISP=(NEW,CATLG,CATLG),
//*            STORCLAS=MFI,
//             UNIT=3390,VOL=SER=LARRYS,
//             SPACE=(TRK,(10,10),RLSE),
//             DCB=(RECFM=VB,LRECL=84,BLKSIZE=840,DSORG=PS)
//SYSOUT   DD  SYSOUT=*
//
