@echo OFF
     set CmdName=CRTF80E1
rem  * *******************************************************************
rem  *               CRTF80E1.cmd - a Windows Command File               *
rem  *       This Job Script is provided by SimoTime Technologies        *
rem  *           (C) Copyright 1987-2019 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  *
rem  * Text   - Create Sequential Data Sets.
rem  * Author - SimoTime Technologies
rem  * Date   - January 24, 1996
rem  *
rem  * The 1st step (DeleteTEXT) will delete any previously created files.
rem  *
rem  * The 2nd step (CreateTEXT) will create a new ASCII/Text file.
rem  *
rem  * The 3rd job step (ConvertLSEQtoRSEQasc) will create a new Record
rem  * Sequential file with ASCII-encoded, fixed length records.
rem  *
rem  * The 4th job step (ConvertLSEQtoRSEQebc) will create a new Record
rem  * Sequential file with EBCDIC-encoded, fixed length records.
rem  *
rem  * This set of programs will run on a Personal Computer with
rem  * Windows and Micro Focus Net Express.
rem  * *******************************************************************
rem  * Step   1 of 2  Set the global environment variables,
rem  *                Delete any previously created file...
rem  *
     call ..\Env1BASE
     set JobStatus=0000
     if "%SYSLOG%" == "" set syslog=c:\SimoLIBR\LOGS\SimoTime.LOG
:DeleteQSAM
     call SimoNOTE "*******************************************************%CmdName%"
     call SimoNOTE "Starting JobName %CmdName%, User is %USERNAME%"
     call SimoNOTE "Identify JobStep DeleteQSAM"
     set LS80TXT1=%BaseLib1%\DATA\TXT1\SIMOTIME.TEXT.LS80TXT1.TXT
     if exist %LS80TXT1% del %LS80TXT1%
REM  *
REM  * *******************************************************************
REM  * Step   2 of 2  Create and populate a new TEXT file...
REM  *
:CreateTEXT
     call SimoNOTE Identify JobStep CreateQSAM"
rem  *...:....1....:....2....:....3....:....4....:....5....:....6....:....7....:....8
echo 000000000001 A                                                                  >>%LS80TXT1%
echo 000000000002 AB                                                                 >>%LS80TXT1%
echo 000000000003 ABC                                                                >>%LS80TXT1%
echo 000000000004 ABCD                                                               >>%LS80TXT1%
echo 000000000005 ABCDE                                                              >>%LS80TXT1%
echo 000000000006 ABCDEF                                                             >>%LS80TXT1%
echo 000000000007 ABCDEFG                                                            >>%LS80TXT1%
echo 000000000008 ABCDEFGH                                                           >>%LS80TXT1%
echo 000000000009 ABCDEFGHI                                                          >>%LS80TXT1%
echo 000000000010 ABCDEFGHIJ                                                         >>%LS80TXT1%
echo 000000000011 ABCDEFGHIJK                                                        >>%LS80TXT1%
echo 000000000012 ABCDEFGHIJKL                                                       >>%LS80TXT1%
echo 000000000013 ABCDEFGHIJKLM                                                      >>%LS80TXT1%
echo 000000000014 ABCDEFGHIJKLMN                                                     >>%LS80TXT1%
echo 000000000015 ABCDEFGHIJKLMNO                                                    >>%LS80TXT1%
echo 000000000016 ABCDEFGHIJKLMNOP                                                   >>%LS80TXT1%
echo 000000000017 ABCDEFGHIJKLMNOPR                                                  >>%LS80TXT1%
echo 000000000018 ABCDEFGHIJKLMNOPQR                                                 >>%LS80TXT1%
echo 000000000019 ABCDEFGHIJKLMNOPQRS                                                >>%LS80TXT1%
echo 000000000020 ABCDEFGHIJKLMNOPQRST                                               >>%LS80TXT1%
echo 000000000021 ABCDEFGHIJKLMNOPQRSTU                                              >>%LS80TXT1%
echo 000000000022 ABCDEFGHIJKLMNOPQRSTUV                                             >>%LS80TXT1%
echo 000000000023 ABCDEFGHIJKLMNOPQRSTUVW                                            >>%LS80TXT1%
echo 000000000024 ABCDEFGHIJKLMNOPQRSTUVWX                                           >>%LS80TXT1%
echo 000000000025 ABCDEFGHIJKLMNOPQRSTUVWXY                                          >>%LS80TXT1%
echo 000000000026 ABCDEFGHIJKLMNOPQRSTUVWXYZ                                         >>%LS80TXT1%
echo 000000000027 ABCDEFGHIJKLMNOPQRSTUVWZXZ0123456789                               >>%LS80TXT1%
echo 000000000028 ABCDEFGHIJKLMNOPQRSTUVWXYZ                                         >>%LS80TXT1%
echo 000000000029 ABCDEFGHIJKLMNOPQRSTUVWXY                                          >>%LS80TXT1%
echo 000000000030 ABCDEFGHIJKLMNOPQRSTUVWX                                           >>%LS80TXT1%
echo 000000000031 ABCDEFGHIJKLMNOPQRSTUVW                                            >>%LS80TXT1%
echo 000000000032 ABCDEFGHIJKLMNOPQRSTUV                                             >>%LS80TXT1%
echo 000000000033 ABCDEFGHIJKLMNOPQRSTU                                              >>%LS80TXT1%
echo 000000000034 ABCDEFGHIJKLMNOPQRST                                               >>%LS80TXT1%
echo 000000000035 ABCDEFGHIJKLMNOPQRS                                                >>%LS80TXT1%
echo 000000000036 ABCDEFGHIJKLMNOPQR                                                 >>%LS80TXT1%
echo 000000000037 ABCDEFGHIJKLMNOPQ                                                  >>%LS80TXT1%
echo 000000000038 ABCDEFGHIJKLMNOR                                                   >>%LS80TXT1%
echo 000000000039 ABCDEFGHIJKLMNO                                                    >>%LS80TXT1%
echo 000000000040 ABCDEFGHIJKLMN                                                     >>%LS80TXT1%
echo 000000000041 ABCDEFGHIJKLM                                                      >>%LS80TXT1%
echo 000000000042 ABCDEFGHIJKL                                                       >>%LS80TXT1%
echo 000000000043 ABCDEFGHIJK                                                        >>%LS80TXT1%
echo 000000000044 ABCDEFGHIJ                                                         >>%LS80TXT1%
echo 000000000045 ABCDEFGHI                                                          >>%LS80TXT1%
echo 000000000046 ABCDEFGH                                                           >>%LS80TXT1%
echo 000000000047 ABCDEFG                                                            >>%LS80TXT1%
echo 000000000048 ABCDEF                                                             >>%LS80TXT1%
echo 000000000049 ABCDE                                                              >>%LS80TXT1%
echo 000000000050 ABCD                                                               >>%LS80TXT1%
echo 000000000051 ABC                                                                >>%LS80TXT1%
echo 000000000052 AB                                                                 >>%LS80TXT1%
echo 000000000053 A                                                                  >>%LS80TXT1%
echo 000000000054 a                                                                  >>%LS80TXT1%
echo 000000000055 ab                                                                 >>%LS80TXT1%
echo 000000000056 abc                                                                >>%LS80TXT1%
echo 000000000057 abcd                                                               >>%LS80TXT1%
echo 000000000058 abcde                                                              >>%LS80TXT1%
echo 000000000059 abcdef                                                             >>%LS80TXT1%
echo 000000000060 abcdefg                                                            >>%LS80TXT1%
echo 000000000061 abcdefgh                                                           >>%LS80TXT1%
echo 000000000062 abcdefghi                                                          >>%LS80TXT1%
echo 000000000063 abcdefghij                                                         >>%LS80TXT1%
echo 000000000064 abcdefghijk                                                        >>%LS80TXT1%
echo 000000000065 abcdefghijkl                                                       >>%LS80TXT1%
echo 000000000066 abcdefghijklm                                                      >>%LS80TXT1%
echo 000000000067 abcdefghijklmn                                                     >>%LS80TXT1%
echo 000000000068 abcdefghijklmno                                                    >>%LS80TXT1%
echo 000000000069 abcdefghijklmnop                                                   >>%LS80TXT1%
echo 000000000070 abcdefghijklmnopr                                                  >>%LS80TXT1%
echo 000000000071 abcdefghijklmnopqr                                                 >>%LS80TXT1%
echo 000000000072 abcdefghijklmnopqrs                                                >>%LS80TXT1%
echo 000000000073 abcdefghijklmnopqrst                                               >>%LS80TXT1%
echo 000000000074 abcdefghijklmnopqrstu                                              >>%LS80TXT1%
echo 000000000075 abcdefghijklmnopqrstuv                                             >>%LS80TXT1%
echo 000000000076 abcdefghijklmnopqrstuvw                                            >>%LS80TXT1%
echo 000000000077 abcdefghijklmnopqrstuvwx                                           >>%LS80TXT1%
echo 000000000078 abcdefghijklmnopqrstuvwxy                                          >>%LS80TXT1%
echo 000000000079 abcdefghijklmnopqrstuvwxyz                                         >>%LS80TXT1%
echo 000000000080 abcdefghijklmnopqrstuvwzxz0123456789                               >>%LS80TXT1%
echo 000000000081 abcdefghijklmnopqrstuvwxyz                                         >>%LS80TXT1%
echo 000000000082 abcdefghijklmnopqrstuvwxy                                          >>%LS80TXT1%
echo 000000000083 abcdefghijklmnopqrstuvwx                                           >>%LS80TXT1%
echo 000000000084 abcdefghijklmnopqrstuvw                                            >>%LS80TXT1%
echo 000000000085 abcdefghijklmnopqrstuv                                             >>%LS80TXT1%
echo 000000000086 abcdefghijklmnopqrstu                                              >>%LS80TXT1%
echo 000000000087 abcdefghijklmnopqrst                                               >>%LS80TXT1%
echo 000000000088 abcdefghijklmnopqrs                                                >>%LS80TXT1%
echo 000000000089 abcdefghijklmnopqr                                                 >>%LS80TXT1%
echo 000000000090 abcdefghijklmnopq                                                  >>%LS80TXT1%
echo 000000000091 abcdefghijklmnor                                                   >>%LS80TXT1%
echo 000000000092 abcdefghijklmno                                                    >>%LS80TXT1%
echo 000000000093 abcdefghijklmn                                                     >>%LS80TXT1%
echo 000000000094 abcdefghijklm                                                      >>%LS80TXT1%
echo 000000000095 abcdefghijkl                                                       >>%LS80TXT1%
echo 000000000096 abcdefghijk                                                        >>%LS80TXT1%
echo 000000000097 abcdefghij                                                         >>%LS80TXT1%
echo 000000000098 abcdefghi                                                          >>%LS80TXT1%
echo 000000000099 abcdefgh                                                           >>%LS80TXT1%
echo 000000000100 abcdefg                                                            >>%LS80TXT1%
echo 000000000101 abcdef                                                             >>%LS80TXT1%
echo 000000000102 abcde                                                              >>%LS80TXT1%
echo 000000000103 abcd                                                               >>%LS80TXT1%
echo 000000000104 abc                                                                >>%LS80TXT1%
echo 000000000105 ab                                                                 >>%LS80TXT1%
echo 000000000106 a                                                                  >>%LS80TXT1%
     if exist %LS80TXT1% goto :ConvertLSEQtoRSEQasc
     set JobStatus=0010
     goto :EojNok
:Jump10
:ConvertLSEQtoRSEQasc
rem  *
rem  * *******************************************************************
rem  * Step 3, Read the previously created Line Sequential File (LSEQ)
rem  *         and write a Record Sequential File (RSEQ) with 80-byte,
rem  *         ASCII-encoded records.
rem  *
     call SimoNOTE "Identify JobStep ConvertLSEQtoRSEQasc"
     set GETLS080=%LS80TXT1%
     set PUTRS080=%BaseLib1%\DATA\APPL\SIMOTIME.DATA.RS80ASC1.DAT
     if exist %PUTRS080% del %PUTRS080%
     run CV80ALAR
     if not exist %PUTRS080% set JobStatus=0030
     if not "%JobStatus%" == "0000" goto EojNok
     call SimoNOTE "Produced DataSet %PUTRS080%"
rem  *
:ConvertLSEQtoRSEQebc
rem  *
rem  * *******************************************************************
rem  * Step 4, Read the previously created Line Sequential File (LSEQ)
rem  *         and write a Record Sequential File (RSEQ) with 80-byte,
rem  *         EBCDIC-encoded records.
rem  *
     call SimoNOTE "Identify JobStep ConvertLSEQtoRSEQebc"
     set GETLS080=%LS80TXT1%
     set PUTRS080=%BaseLib1%\DATA\APPL\SIMOTIME.DATA.RS80EBC1.DAT
     if exist %PUTRS080% del %PUTRS080%
     run CV80ALER
     if not exist %PUTRS080% set JobStatus=0004
     if not "%JobStatus%" == "0000" goto EojNok
     call SimoNOTE "Produced DataSet %PUTRS080%"

:EojAok
     call SimoNOTE "Produced %LS80TXT1%"
     call SimoNOTE "Finished JobName %CmdName%, Job Status is %JobStatus%"
     goto :End
:EojNok
     call SimoNOTE "ABENDING JobName %CmdName%, Job Status is %JobStatus%"
:End
     call SimoNOTE "Conclude SysLog is %SYSLOG%"
     if not "%1" == "nopause" pause
